## camitk 4.0.0~beta

=== CMakeLists.txt ===
#--------------------------------------------
#
#         CamiTK Open Source CEP Set
#
#--------------------------------------------
cmake_minimum_required(VERSION 3.0)

project(camitkopensource)

# Allow testing of the whole camitk-opensource project
include(CTest)
enable_testing()

# Specific to SDK: control the version (major, minor, default patch and )
set(CAMITK_PROJECT_NAME "CamiTK")
set(CAMITK_VERSION_MAJOR "4")
set(CAMITK_VERSION_MINOR "0")
set(CAMITK_VER_NICKNAME "red") # Red Amaranth American rose Auburn Burgundy Cardinal Carmine Carnelian Cerise Coquelicot
set(CAMITK_VERSION_PATCH "0") # patch version for packaging, change when appropriate
string(TOLOWER "${CAMITK_PROJECT_NAME}-${CAMITK_VERSION_MAJOR}.${CAMITK_VERSION_MINOR}" CAMITK_SHORT_VERSION_STRING)

# Specific to SDK: this is the SDK build
set(CAMITK_SDK_BUILD TRUE)

#-- This is a CEP set...
set(CAMITK_EXTENSION_PROJECT_SET TRUE CACHE BOOL "Is this a CamiTK Extension Project Set?")
set(CAMITK_EXTENSION_PROJECT_SET_NAME "camitk-opensource" CACHE STRING "CEP Set Name")

# Configure CamiTK Opensource packaging.
# Must be done before parsing extensions CMakeLists.txt files.
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/sdk/cmake/modules/macros)
set(CAMITK_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
include(camitk/packaging/CamiTKOpenSourcePackaging)
camitk_opensource_packaging()

# CamiTK 4.0 is C++11 compliant
set(CMAKE_CXX_FLAGS "-std=c++11")

# Specific to SDK: first compile the SDK (it looks like a CEP but is sooooo special...)
add_subdirectory(sdk)

# ...composed by the following CamiTK Extension Projects
add_subdirectory(imaging)
add_subdirectory(modeling)

# Do we wrapp CamiTK for scripting it into Python using Shiboken and PySide ?
set(CAMITK_BINDING_PYTHON CACHE BOOL FALSE)

# Consider python binding only if the CMake variable is checked
if(CAMITK_BINDING_PYTHON)
    add_subdirectory(python_sdk)
endif()

camitk_sub_project_validate(CEP_SET)

=== imaging/CMakeLists.txt ===
#--------------------------------------------
# Imaging extension project
#--------------------------------------------
# Mini find CamiTK inside SDK
set(CAMITK_DIR ${CMAKE_BINARY_DIR})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CAMITK_DIR}/share/${CAMITK_SHORT_VERSION_STRING}/cmake)
include(CamiTKConfig)

camitk_extension_project(NAME "imaging"
                         CONTACT "Celine.Fouard@imag.fr,Emmanuel.Promayon@imag.fr"
                         DESCRIPTION "This CEP is part of CamiTK Open-Source. It provides action and component extensions that are useful for processing medical imaging: the dicom and itkimage components, the itk filters and itk segmentation actions. It depends on... ITK. "
)

=== sdk/CMakeLists.txt ===
#--------------------------------------------
#         CamiTK Extension Project
#
# You should probably NOT modify this file...
# Please edit CEPDescription.cmake instead
#--------------------------------------------
include(SDKConfig.cmake) 

# Please add your project name inside the project() brackets, e.g. project(myProject)
# project(${CEP_NAME})

# Mini find CamiTK inside SDK
set(CAMITK_DIR ${CMAKE_BINARY_DIR})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CAMITK_DIR}/share/${CAMITK_SHORT_VERSION_STRING}/cmake)
include(CamiTKConfig)

# include global install of SDK
# This is a SDK build => global install is done in CMAKE_INSTALL_PREFIX
add_custom_target(sdk_global_install
    COMMAND ${CMAKE_COMMAND} -E echo "Global Installation in ${CMAKE_INSTALL_PREFIX}"
    # First remove the WIN32 system runtime libraries dependencies
    COMMAND ${CMAKE_COMMAND} -DCMAKE_INSTALL_SYSTEM_RUNTIME_LIBS:STRING=" " ${CMAKE_BINARY_DIR}
    COMMAND ${CMAKE_COMMAND} -E echo "Configuration for ${CMAKE_INSTALL_PREFIX} done."
    # Second cmake to install
    COMMAND ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} --target install --config ${CMAKE_CFG_INTDIR}
    COMMAND ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} --target sdk_copy_camitkdirtxt --config ${CMAKE_CFG_INTDIR}
    COMMAND ${CMAKE_COMMAND} -E echo "File installation done."
    COMMAND ${CMAKE_COMMAND} -E echo "Global installation in ${CMAKE_INSTALL_PREFIX} done."
    COMMENT "Global installation"
)

# The definition of SDK_TOP_LEVEL_SOURCE_DIR and SDK_TOP_LEVEL_BINARY_DIR are
# are needed to store the current source dir to pass as an argument to the ConfigureCamiTKDirTxt.cmake script in sdk_copy_camitkdirtxt
set(SDK_TOP_LEVEL_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(SDK_TOP_LEVEL_BINARY_DIR ${CMAKE_BINARY_DIR})
# specific top-level target that prepare and copy the CamiTKDir.txt file in ${CAMITK_USER_DIR}
add_custom_target(sdk_copy_camitkdirtxt
    # prepare the CamiTKConfig.cmake for installation
    COMMAND ${CMAKE_COMMAND} -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
                             -DCAMITK_USER_DIR=${CAMITK_USER_DIR}
                             -DSDK_TOP_LEVEL_SOURCE_DIR=${SDK_TOP_LEVEL_SOURCE_DIR}
                             -DSDK_TOP_LEVEL_BINARY_DIR=${SDK_TOP_LEVEL_BINARY_DIR}
                             -P ${CMAKE_CURRENT_SOURCE_DIR}/ConfigureCamiTKDirTxt.cmake
    # Make sure the user dir exists
    COMMAND ${CMAKE_COMMAND} -E make_directory "${CAMITK_USER_DIR}"
    # Remove the previous version
    COMMAND ${CMAKE_COMMAND} -E remove -f ${CAMITK_USER_DIR}/CamiTKDir.txt
    # Copy the CamiTKDir.txt file in the ${CMAKE_USER_DIR} directory
    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/CamiTKDir.txt ${CAMITK_USER_DIR}
    COMMAND ${CMAKE_COMMAND} -E echo "CamiTKDir.txt [${CMAKE_INSTALL_PREFIX}] copied in ${CAMITK_USER_DIR}"
)

# camitk_local_install == install in User Config directory
add_custom_target(sdk_local_install
    COMMAND ${CMAKE_COMMAND} -E echo "Local Installation in ${CAMITK_USER_DIR}"
    # First cmake to redefine install prefix
    COMMAND ${CMAKE_COMMAND} -DCMAKE_INSTALL_PREFIX=${CAMITK_USER_DIR} ${CMAKE_BINARY_DIR}
    COMMAND ${CMAKE_COMMAND} -E echo "Configuration for ${CMAKE_INSTALL_PREFIX} done."    
    COMMAND ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} --target install --config ${CMAKE_CFG_INTDIR}
    COMMAND ${CMAKE_COMMAND} -E echo "File installation done."
    COMMAND ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} --target sdk_copy_camitkdirtxt --config ${CMAKE_CFG_INTDIR}
    COMMAND ${CMAKE_COMMAND} -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX} ${CMAKE_BINARY_DIR}
    COMMAND ${CMAKE_COMMAND} -E echo "Local Installation in ${CAMITK_USER_DIR} done."
    COMMENT "Local installation"
)

# camitk_update_translate == configure all the .qrc files for the different extensions of the SDK.
# .qrc files consider up to date .ts resources files for translation
add_custom_target(sdk_updatetranslate
    COMMAND ${CMAKE_COMMAND} -E echo "Updating translation for CamiTK SDK"
    COMMAND ${CMAKE_COMMAND} -DCAMITK_TRANSLATE=TRUE ${CMAKE_BINARY_DIR}
    COMMAND ${CMAKE_COMMAND} -DCAMITK_TRANSLATE=FALSE ${CMAKE_BINARY_DIR}
    COMMAND ${CMAKE_COMMAND} -E echo "Translation updated for CamiTK SDK"    
)

# make sure a copy of the CamiTKDir.txt file is written to ${CAMITK_USER_DIR}
# even if the user is just invoking the "install" target (from the IDE or command line)
install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} --target sdk_copy_camitkdirtxt)")

# include CamiTK auto-documentation generation
include(CamiTKApiDoc)

# initialize subproject management
camitk_sub_project_init()

# Create a shiboken path variable containing the CamiTK SDK tree structure, needed by shiboken to find C++ classes to wrap
set(SHIBOKEN_CAMITK_SDK_PATH ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

# initialize automatic tests parsing
camitk_parse_test_init()

# add all subprojects, in dependencies order
camitk_add_subdirectory(libraries)
camitk_add_subdirectory(testapplications)
camitk_add_subdirectory(components)
camitk_add_subdirectory(actions)
camitk_add_subdirectory(viewers)
camitk_add_subdirectory(applications)
camitk_add_subdirectory(cmake) # for cmake module installation

# Validate project.xml file for CDash
camitk_sub_project_validate()

# Validate CamiTKTestsLevel.txt file for wiki
camitk_parse_test_validate()

message(STATUS "compiling in ${CMAKE_BUILD_TYPE}")
message(STATUS "CMAKE_CFG_INTDIR=${CMAKE_CFG_INTDIR}")
message(STATUS "CMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")
message(STATUS "CMAKE_CONFIGURATION_TYPES=${CMAKE_CONFIGURATION_TYPES}")

=== imaging/actions/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_extension(ACTION_EXTENSION ...) macro apropriately

# find components
get_subdirectories(ACTIONS_LIST)

# Add subdirectories in CMake project
foreach(ACTION_NAME ${ACTIONS_LIST})
  camitk_add_subdirectory(${ACTION_NAME})
endforeach()

=== imaging/applications/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add an application, just add a subdirectory (the application name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_application() macro apropriately

# Find applications
get_subdirectories(APPLICATIONS_LIST)

# --- add every given application
foreach(APPLICATION_NAME ${APPLICATIONS_LIST})
   camitk_add_subdirectory(${APPLICATION_NAME})
endforeach()

=== imaging/components/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_extension(COMPONENT_EXTENSION ...) macro apropriately

# Inform the user he has the choice of the DICOM component, by default uses the incomplete ITK one

# find components
get_subdirectories(IMAGING_COMPONENTS_LIST)

#Add subdirectories in CMake project
foreach(COMPONENT_NAME ${IMAGING_COMPONENTS_LIST})
  camitk_add_subdirectory(${COMPONENT_NAME})
endforeach()

=== imaging/libraries/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a library, just add a subdirectory (the application name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_library() macro apropriately

# Find applications
get_subdirectories(LIBRARY_LIST)

# --- add every given library
foreach(LIB_NAME ${LIBRARY_LIST})
   camitk_add_subdirectory(${LIB_NAME})
endforeach()

=== modeling/applications/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add an application, just add a subdirectory (the application name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_application() macro apropriately

# Find applications
get_subdirectories(APPLICATIONS_LIST)

# -- Define for subdirectory usage (test and tools)
# create some useful variables for subdirectories applications
# This lines have to be below the camitk_application macro call
set(LML_DEPENDENCY library${TARGET_NAME_SEPARATOR}lml)
set(LMLSCHEMA_DEPENDENCY library${TARGET_NAME_SEPARATOR}lmlschema)
set(LML_DEPENDENCIES ${LML_DEPENDENCY} ${LMLSCHEMA_DEPENDENCY})
set(PML_DEPENDENCY library${TARGET_NAME_SEPARATOR}pml)
set(PMLSCHEMA_DEPENDENCY library${TARGET_NAME_SEPARATOR}pmlschema)
set(PML_DEPENDENCIES ${PML_DEPENDENCY} ${PMLSCHEMA_DEPENDENCY})
set(PMLLML_DEPENDENCY ${PML_DEPENDENCY} ${PMLSCHEMA_DEPENDENCY} ${LML_DEPENDENCY} ${LMLSCHEMA_DEPENDENCY})

# --- add every given application
foreach(APPLICATION_NAME ${APPLICATIONS_LIST})
   add_subdirectory(${APPLICATION_NAME})
endforeach()

=== modeling/components/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_extension(COMPONENT_EXTENSION ...) macro apropriately

# Add subdirectories in CMake project, manually => handling dependencies
camitk_add_subdirectory(pmlcomponent)
camitk_add_subdirectory(mmlcomponent)

=== modeling/libraries/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a library, just add a subdirectory (the application name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_library() macro apropriately

# --- add every given library in dependencies order
camitk_add_subdirectory(lmlschema)
camitk_add_subdirectory(lml)
camitk_add_subdirectory(pmlschema)
camitk_add_subdirectory(pml)
camitk_add_subdirectory(mmlschema)
camitk_add_subdirectory(mml)

=== python_sdk/actions/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_extension(ACTION_EXTENSION ...) macro apropriately
#---------------------------------------------------------------------------------
#
# Recursively parse subdirectories for classes to expose 
#
#---------------------------------------------------------------------------------
# Shiboken PATH to look for typesystem.xml adn global.h files, recursively udapted
set(SHIBOKEN_TYPESYSTEM_PATH ${SHIBOKEN_TYPESYSTEM_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")
set(SHIBOKEN_GLOBAL_H_PATH ${SHIBOKEN_GLOBAL_H_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

# find components
get_subdirectories(ACTIONS_MESH_LIST)

# Add subdirectories in CMake project
foreach(ACTION_NAME ${ACTIONS_MESH_LIST})
  add_subdirectory(${ACTION_NAME})
endforeach()

=== python_sdk/applications/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add an application, just add a subdirectory (the application name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_application() macro apropriately

#---------------------------------------------------------------------------------
#
# Recursively parse subdirectories for classes to expose 
#
#---------------------------------------------------------------------------------
# Shiboken PATH to look for typesystem.xml adn global.h files, recursively udapted
set(SHIBOKEN_TYPESYSTEM_PATH ${SHIBOKEN_TYPESYSTEM_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")
set(SHIBOKEN_GLOBAL_H_PATH ${SHIBOKEN_GLOBAL_H_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

# Find applications
get_subdirectories(APPLICATIONS_LIST)

# --- add every given application
foreach(APPLICATION_NAME ${APPLICATIONS_LIST})
   add_subdirectory(${APPLICATION_NAME})
endforeach()

=== debian/changelog ===
camitk (4.0.0~beta-2) unstable; urgency=medium

  * Team upload.
  * Add missing Breaks/Replaces to the -dev packages.  Closes: #823025
  * Re-enable parallel build.  Now that slow architectures are not a
    problem anymore this should be safe to do.  Closes: #747421

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 30 Apr 2016 11:48:28 +0000

camitk (4.0.0~beta-1) unstable; urgency=low

  [ Emmanuel Promayon ]
  * New upstream beta release. Thanks to Gianfranco Costamagna
    for the help.
  * New upstream beta release now depends on Qt5
    Closes: #816805
  * New upstream beta check for SOURCE_DATE_EPOCH
    Closes: #794740
  * Run test only for architecture Any. Thanks to Andreas Tille
    for the help. Closes: #817163
  * Removed Nicolas Saubat from maintainer list. Many thanks
    to Nicolas for his work on CamiTK during the last 4 years.

  [ Andreas Tille ]
  * Moved packaging from SVN to Git

  [ Gianfranco Costamagna ]
  * New upstream beta release (Closes: #798167)
  * Bump soname.
  * Fix packaging by following new libraries and removed libraries
    in rules file.
  * Remove all patches, upstream.
  * Switch to vtk6, itk4 and qt5
  * Bump std-version to 3.9.8
  * Update copyright file.

  [ Mattia Rizzolo ]
  * Remove trailing whitespaces from all over debian/.
  * debian/rules:
    + Remove useless override in dh_builddeb: xz is the default now.
    + Semplify dpkg-parsechangelog invocation using -S instead of sed(1).

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Wed, 27 Apr 2016 00:15:14 +0200

camitk (3.4.0-2) unstable; urgency=low

  * Fix cmake missing path to ITKConfig (patch force-path-to-itkconfig)
    Closes: #787753
  * Increase test timeout for slower arch
  * fix timestamps_in_documentation_generated_by_doxygen
    (improve building reproducibility, patch remove-doxygen-timestamp)

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Mon, 15 Jun 2015 09:08:38 +0200

=== debian/control ===
Source: camitk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libvtk6-dev,
               libvtk6-qt-dev,
               qtbase5-dev,
               libqt5xmlpatterns5-dev,
               libqt5opengl5-dev,
               qttools5-dev-tools,
               xsdcxx,
               libinsighttoolkit4-dev,
               libfftw3-dev,
               libgdcm2-dev,
               libvtkgdcm2-dev,
               xvfb,
               xauth
Build-Depends-Indep: doxygen,
                     graphviz
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/camitk.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/camitk.git
Homepage: http://camitk.imag.fr/
X-Homepage: https://forge.imag.fr/projects/camitk/
Testsuite: autopkgtest

Package: libcamitk4
Architecture: any
Depends: libqtpropertybrowser4 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - runtime
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains the shared libraries needed to run CamiTK applications.

Package: libcamitk4-dev
Architecture: any
Section: libdevel
Depends: libcamitk4 (= ${binary:Version}),
         libqtpropertybrowser4-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: camitk-imp
Suggests: camitk-actionstatemachine
Breaks: libcamitk3-dev
Replaces: libcamitk3-dev
Description: Computer Assisted Medical Intervention Tool Kit - development
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains development files needed to build CamiTK applications.
 This package also provides the CamiTK wizard application to create new
 extensions.

Package: libcamitk4-data
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - data
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains the examples and test data for CamiTK.

Package: libcamitk4-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - documentation
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains the documentation for CamiTK.

Package: camitk-imp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: camitk-actionstatemachine
Description: workbench application for the CamiTK library
 CamiTK helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 camitk-imp is the CamiTK workbench application where you can test
 all available extensions for prototyping.
 It provides an easy and interactive access to all available data and
 algorithm parameters, including the one you build yourself using
 the CamiTK SDK.
 .
 For example, camitk-imp can visualize medical images from a lot of different
 (standard) formats, offers image processing and segmentation algorithms to
 reconstruct a mesh geometry and run a biomechanical simulation.

Package: camitk-actionstatemachine
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: camitk-imp
Description: pipeline replay application for the CamiTK library
 CamiTK helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 camitk-actionstatemachine is able to replay a pipeline (workflow) of CamiTK
 actions.
 This application takes an CamiTK augmented version of a SCXML subset as input
 and allow on to replay interactive the described state-machine containing a
 list of CamiTK actions and transitions.

Package: libqtpropertybrowser4
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Qt Property Browser Library - runtime
 A framework providing a set of graphical editors for
 Qt properties similar to the one used in Qt Designer.
 .
 This package contains the shared libraries needed to run applications
 linked against libqtpropertybrowser4.

Package: libqtpropertybrowser4-dev
Architecture: any
Section: libdevel
Depends: libqtpropertybrowser4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqtpropertybrowser3-dev
Replaces: libqtpropertybrowser3-dev
Description: Qt Property Browser Library - development
 A framework providing a set of graphical editors for
 Qt properties similar to the one used in Qt Designer.
 .
 This package contains development files needed to build applications
 using Qt Property Browser

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# CamiTK version from d/changelog)
CHANGELOG_VERSION := $(shell dpkg-parsechangelog -SVersion)
FULL_VERSION := $(shell echo '$(CHANGELOG_VERSION)' | sed -e 's/^[[:digit:]]*://' -e 's/[~-].*//')
VER_MAJOR := $(shell echo '$(FULL_VERSION)' | cut -f1 -d".")
VER_MINOR := $(shell echo '$(FULL_VERSION)' | cut -f2 -d".")
VER_SHORT=$(VER_MAJOR).$(VER_MINOR)

# package aliases (see d/control)
pkg_lib = libcamitk$(VER_MAJOR)
pkg_qpb = libqtpropertybrowser$(VER_MAJOR)
pkg_dev = libcamitk$(VER_MAJOR)-dev
pkg_qpb_dev = libqtpropertybrowser$(VER_MAJOR)-dev
pkg_data = libcamitk$(VER_MAJOR)-data
pkg_doc = libcamitk$(VER_MAJOR)-doc
pkg_imp = camitk-imp
pkg_asm = camitk-actionstatemachine

# dpkg-shlibdeps needs to know about camitk extension directories to manage inner-dependencies
# between extensions (i.e., mml component extension depends on physicalmodel component extensions)
PKG_LIB_DIR := $(CURDIR)/debian/${pkg_lib}/usr/lib/camitk-${VER_SHORT}
# for component extensions:
LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):$(PKG_LIB_DIR)/components/
# for action extensions:
LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):$(PKG_LIB_DIR)/actions/
# for private libraries:
LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):$(PKG_LIB_DIR)/
# during test, the build dir path is also needed
LIB_BUILD_DIR := $(CURDIR)/camitk-build/lib
PRIVATE_LIB_BUILD_DIR := $(LIB_BUILD_DIR)/camitk-${VER_SHORT}
LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):$(LIB_BUILD_DIR):$(PRIVATE_LIB_BUILD_DIR)/components/:$(PRIVATE_LIB_BUILD_DIR)/actions/:$(PRIVATE_LIB_BUILD_DIR)/
# export for all d/rules subshell (test and dpkg-shlibdeps included)
export LD_LIBRARY_PATH

# CMake flags are of two types:
# - generic (to tell cmake to build proper binaries)
# - CamiTK specific options
# Notes:
# - if you would like a more verbose camitk at run-time,
#   you can add -DCAMITK_LOG_LEVEL=2
CMAKE_EXTRA_FLAGS = \
	-DCMAKE_SKIP_RPATH:BOOL=TRUE \
	-DCMAKE_INSTALL_RPATH_USE_LINK_PATH:BOOL=FALSE \
	-DCMAKE_BUILD_TYPE:STRING=None \
	\
	-DCEP_IMAGING:BOOL=TRUE \
	-DCEP_MODELING:BOOL=TRUE \
	\
	-DAPIDOC_SDK:BOOL=TRUE

%:
	dh $@ --parallel --builddirectory=camitk-build

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

# let's be smart with doc
override_dh_auto_build-indep:
	$(MAKE) -C camitk-build apidoc
	# remove the javascript search field
	rm -f camitk-build/share/camitk-$(VER_SHORT)/apidoc/html/jquery.js

# No tests needed for docs
override_dh_auto_test-indep:

# run all the available tests (only for Archictecture: any
# as tests can only be run if and once the framework is build)
override_dh_auto_test-arch:
	# Use the CamiTK test suite
	# Note: all tests require an X server, xvfb-run is needed to have a virtual one
	# Another way: xvfb-run --auto-servernum $(MAKE) -C camitk-build ARGS="-V" test
	(cd camitk-build && xvfb-run --auto-servernum ctest -V --timeout 600)

# make packages
override_dh_install:
	# $(CURDIR) is the current source dir
	# camitk dynamic library
	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/libcamitkcore.so.*
	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/libmonitoring.so.*
	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/actions/lib*.so.*
	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/components/lib*.so.*
	# camitk-config is part of libcamitk
	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/bin/camitk-config
	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/share/pixmaps/camitk-config.xpm
	dh_installman -p$(pkg_lib) debian/tmp/usr/share/man/man1/camitk-config.1

	# separate packaging for qtpropertybrowser (can be used independently from camitk)
	dh_install -p$(pkg_qpb) debian/tmp/usr/lib/libqtpropertybrowser.so.* usr/lib

	# camitk developer package
	# camitk so and headers and static libs
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/libcamitkcore.so usr/lib
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/libmonitoring.so usr/lib
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/actions/lib*.so
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/components/lib*.so
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/lib*.a
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/libraries/camitkcore
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/libraries/cepcoreschema
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/libraries/cepgenerator
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/actions
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/components
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/libraries/pmlschema
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/libraries/pml
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/libraries/lmlschema
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/libraries/lml
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/libraries/mmlschema
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/libraries/monitoring
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/libraries/monitoringgui
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/camitk-$(VER_SHORT)/cmake/*.cmake
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/camitk-$(VER_SHORT)/cmake/macros/*.cmake
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/camitk-$(VER_SHORT)/cmake/macros/camitk/*.cmake
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/camitk-$(VER_SHORT)/cmake/macros/camitk/packaging/*.cmake
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/camitk-$(VER_SHORT)/cmake/macros/camitk/cdash/projects/*.cmake
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/camitk-$(VER_SHORT)/cmake/macros/camitk/test/*.cmake
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/camitk-$(VER_SHORT)/cmake/macros/camitk/test/level/*.cmake
	# wizard
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/bin/camitk-wizard
	dh_installman -p$(pkg_dev) debian/tmp/usr/share/man/man1/camitk-wizard.1
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/applications/camitk-wizard.desktop
	# not ship anymore (bug? referenced in desktop file)
	#dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/pixmaps/camitk-wizard.xpm
	# cepgenerator
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/bin/camitk-cepgenerator
	dh_installman -p$(pkg_dev) debian/tmp/usr/share/man/man1/camitk-cepgenerator.1
	# test programs
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/bin/camitk-testactions
	dh_installman -p$(pkg_dev) debian/tmp/usr/share/man/man1/camitk-testactions.1
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/bin/camitk-testcomponents
	dh_installman -p$(pkg_dev) debian/tmp/usr/share/man/man1/camitk-testcomponents.1

	# qtpropertybrowser so and headers (includes are put directly in usr/include as package should be generic/independant from CamiTK)
	dh_install -p$(pkg_qpb_dev) debian/tmp/usr/lib/libqtpropertybrowser.so usr/lib
	dh_install -p$(pkg_qpb_dev) debian/tmp/usr/include/camitk-${VER_SHORT}/libraries/qtpropertybrowser usr/include

	# api doc
	dh_install -p$(pkg_doc) --autodest debian/tmp/usr/share/camitk-$(VER_SHORT)/apidoc

	# all test data excluding extra licence files (everything is already specified in d/c)
	dh_install -p$(pkg_data) --exclude=LICENSE --autodest debian/tmp/usr/share/camitk-$(VER_SHORT)/testdata

	# imp
	dh_install -p$(pkg_imp) --autodest debian/tmp/usr/bin/camitk-imp
	dh_install -p$(pkg_imp) --autodest debian/tmp/usr/share/applications/camitk-imp.desktop
	dh_install -p$(pkg_imp) --autodest debian/tmp/usr/share/pixmaps/camitk-imp.xpm
	dh_installman -p$(pkg_imp) debian/tmp/usr/share/man/man1/camitk-imp.1

=== debian/tests/control ===
Tests: config
Depends: libcamitk4 (>=4.0.0), xvfb, xauth

## camitk 4.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 set(CAMITK_VERSION_MAJOR "4")
 set(CAMITK_VERSION_MINOR "0")
 set(CAMITK_VER_NICKNAME "red") # Red Amaranth American rose Auburn Burgundy Cardinal Carmine Carnelian Cerise Coquelicot
-set(CAMITK_VERSION_PATCH "0") # patch version for packaging, change when appropriate
+set(CAMITK_VERSION_PATCH "3") # patch version for packaging, change when appropriate
 string(TOLOWER "${CAMITK_PROJECT_NAME}-${CAMITK_VERSION_MAJOR}.${CAMITK_VERSION_MINOR}" CAMITK_SHORT_VERSION_STRING)
 
 # Specific to SDK: this is the SDK build

=== sdk/testapplications/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_extension(COMPONENT_EXTENSION ...) macro appropriately

# find components
get_subdirectories(APPS_TEST_LIST)

# Recursively update the shiboken path variable containing the CamiTK SDK tree structure
set(SHIBOKEN_CAMITK_SDK_PATH ${SHIBOKEN_CAMITK_SDK_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "") 

# Add subdirectories in CMake project
foreach(APPS_TEST_NAME ${APPS_TEST_LIST})
  camitk_add_subdirectory(${APPS_TEST_NAME})
endforeach()

=== modeling/applications/lmltest/CMakeLists.txt ===
set(LMLTEST_TARGET_NAME library${TARGET_NAME_SEPARATOR}lmltest)

set(SRCS lmltest.cpp)
include_directories(${CAMITK_INCLUDE_DIR}/libraries)
link_directories(${CAMITK_LINK_DIRECTORIES})
add_executable(${LMLTEST_TARGET_NAME} ${SRCS})
target_link_libraries(${LMLTEST_TARGET_NAME} ${LML_DEPENDENCIES}) # both lml and lmlschema are needed
add_dependencies(${LMLTEST_TARGET_NAME} ${LML_DEPENDENCY}) # as lml depends on lmlschema, only lml needed here

# in debug mode, add postfix
if (MSVC)
    set_target_properties(${LMLTEST_TARGET_NAME} PROPERTIES DEBUG_POSTFIX ${CAMITK_DEBUG_POSTFIX})
endif()

#----------
# Testing
#----------
set(LMLTEST_BASENAME "lml-${LMLTEST_TARGET_NAME}")
# TODO compare output csv with a static output csv (that it should produce)
camitk_init_test(${LMLTEST_TARGET_NAME})
# should pass because lmltest run with no arguments shows usage and exit success
camitk_add_test(PROJECT_NAME ${LMLTEST_BASENAME} TEST_SUFFIX "-")

# should pass because invoking lmltest with a faulty arguments results in printing
# an "Argument error" message (and exit failure)
camitk_add_test(EXECUTABLE_ARGS "-error" 
                PASS_REGULAR_EXPRESSION "Argument errors: "
                PROJECT_NAME ${LMLTEST_BASENAME} TEST_SUFFIX "-")

# should pass because reading test.lml should not modify it (input == output)
if(NOT WIN32) #this test fails on windows7 VM due to missing tweek for -debug
camitk_add_test(EXECUTABLE_ARGS "-i ${CMAKE_CURRENT_SOURCE_DIR}/test.lml"
                PASS_FILE ${CMAKE_CURRENT_SOURCE_DIR}/test.lml 
                PROJECT_NAME ${LMLTEST_BASENAME} TEST_SUFFIX "-")
endif()

=== sdk/actions/image/imageresampling/CMakeLists.txt ===
# Call CamiTK CMake Macro to define the action
camitk_extension(   ACTION_EXTENSION
                    CEP_NAME SDK
                    DESCRIPTION "Re-sample image volumes"
                    TEST_APPLICATION ${APPLICATION_TEST_ACTION}
                    TEST_FILES bassin.msh BigEndian.hdr BigEndian.img BigEndianCompressed1.hdr BigEndianCompressed1.img biorad.pic brain.mha cthead1.lsm diaphragm.pml head1.STL LittleEndian1.hdr LittleEndian1.img LittleEndianCompressed1.hdr LittleEndianCompressed1.img LittleEndianZ1.hdr liver-smooth.obj Mesh.off mini-complex-slow1.nrrd mini-ten-nomask-slow1.nrrd mini-vector-slow1.nrrd mixed_3D_beam.msh ramp1.gipl robot.wrl scissors.obj simple.vtk sinus_skin.vtk sinus_skull.vtk skull1.stl structured.vtk testrgba.nrrd truthcube.pml
                )

=== debian/changelog ===
camitk (4.0.3-1) unstable; urgency=medium

  * Imported Upstream version 4.0.3
  * Removed SONAME number in the dev package name
  * Create a new camitk-config package for the camitk-config binary, and have
    set appropriate Breaks+Replaces.  Closes: #836990
  * Improved autopkgtest test scripts
  * Fix debug-file-with-no-debug-symbols (CXX flags were overridden)

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Sat, 08 Oct 2016 20:23:26 +0000

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Depends: libqtpropertybrowser4 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Recommends: camitk-config
 Description: Computer Assisted Medical Intervention Tool Kit - runtime
  Helps researchers and clinicians to easily and rapidly collaborate in
  order to prototype CAMI applications, that feature medical images,
@@ -40,17 +41,33 @@
  .
  This package contains the shared libraries needed to run CamiTK applications.
 
-Package: libcamitk4-dev
+Package: camitk-config
+Architecture: any
+Depends: libcamitk4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Replaces: libcamitk3, libcamitk4 (<< 4.0.3)
+Breaks: libcamitk3, libcamitk4 (<< 4.0.3)
+Description: Computer Assisted Medical Intervention Tool Kit - config
+ Helps researchers and clinicians to easily and rapidly collaborate in
+ order to prototype CAMI applications, that feature medical images,
+ surgical navigation and biomechanical simulations.
+ .
+ This package contains a command-line application to diagnose and check
+ the CamiTK configuration and environment setup.
+
+Package: libcamitk-dev
 Architecture: any
 Section: libdevel
 Depends: libcamitk4 (= ${binary:Version}),
-         libqtpropertybrowser4-dev,
+         camitk-config,
+         libqtpropertybrowser-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: camitk-imp
 Suggests: camitk-actionstatemachine
 Breaks: libcamitk3-dev
-Replaces: libcamitk3-dev
+Replaces: libcamitk3-dev, libcamitk4-dev
 Description: Computer Assisted Medical Intervention Tool Kit - development
  Helps researchers and clinicians to easily and rapidly collaborate in
  order to prototype CAMI applications, that feature medical images,
@@ -122,6 +139,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Breaks: libqtpropertybrowser3
+Replaces: libqtpropertybrowser3
 Description: Qt Property Browser Library - runtime
  A framework providing a set of graphical editors for
  Qt properties similar to the one used in Qt Designer.
@@ -129,14 +148,14 @@
  This package contains the shared libraries needed to run applications
  linked against libqtpropertybrowser4.
 
-Package: libqtpropertybrowser4-dev
+Package: libqtpropertybrowser-dev
 Architecture: any
 Section: libdevel
 Depends: libqtpropertybrowser4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libqtpropertybrowser3-dev
-Replaces: libqtpropertybrowser3-dev
+Replaces: libqtpropertybrowser3-dev, libqtpropertybrowser4-dev
 Description: Qt Property Browser Library - development
  A framework providing a set of graphical editors for
  Qt properties similar to the one used in Qt Designer.

=== debian/rules ===
--- 
+++ 
@@ -11,15 +11,19 @@
 VER_MINOR := $(shell echo '$(FULL_VERSION)' | cut -f2 -d".")
 VER_SHORT=$(VER_MAJOR).$(VER_MINOR)
 
-# package aliases (see d/control)
+# package aliases (see d/control)
 pkg_lib = libcamitk$(VER_MAJOR)
 pkg_qpb = libqtpropertybrowser$(VER_MAJOR)
-pkg_dev = libcamitk$(VER_MAJOR)-dev
-pkg_qpb_dev = libqtpropertybrowser$(VER_MAJOR)-dev
+pkg_cfg = camitk-config
+pkg_dev = libcamitk-dev
+pkg_qpb_dev = libqtpropertybrowser-dev
 pkg_data = libcamitk$(VER_MAJOR)-data
 pkg_doc = libcamitk$(VER_MAJOR)-doc
 pkg_imp = camitk-imp
 pkg_asm = camitk-actionstatemachine
+
+# multi-arch support
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # dpkg-shlibdeps needs to know about camitk extension directories to manage inner-dependencies
 # between extensions (i.e., mml component extension depends on physicalmodel component extensions)
@@ -74,7 +78,7 @@
 	# Use the CamiTK test suite
 	# Note: all tests require an X server, xvfb-run is needed to have a virtual one
 	# Another way: xvfb-run --auto-servernum $(MAKE) -C camitk-build ARGS="-V" test
-	(cd camitk-build && xvfb-run --auto-servernum ctest -V --timeout 600)
+	(cd camitk-build && xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" ctest -V --timeout 600)
 
 # make packages
 override_dh_install:
@@ -84,13 +88,14 @@
 	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/libmonitoring.so.*
 	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/actions/lib*.so.*
 	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/components/lib*.so.*
-	# camitk-config is part of libcamitk
-	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/bin/camitk-config
-	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/share/pixmaps/camitk-config.xpm
-	dh_installman -p$(pkg_lib) debian/tmp/usr/share/man/man1/camitk-config.1
+
+	# camitk-config package contains only the app, man page and icon
+	dh_install -p$(pkg_cfg) --autodest debian/tmp/usr/bin/camitk-config
+	dh_install -p$(pkg_cfg) --autodest debian/tmp/usr/share/pixmaps/camitk-config.xpm
+	dh_installman -p$(pkg_cfg) debian/tmp/usr/share/man/man1/camitk-config.1
 
 	# separate packaging for qtpropertybrowser (can be used independently from camitk)
-	dh_install -p$(pkg_qpb) debian/tmp/usr/lib/libqtpropertybrowser.so.* usr/lib
+	dh_install -p$(pkg_qpb) --autodest debian/tmp/usr/lib/libqtpropertybrowser.so.*
 
 	# camitk developer package
 	# camitk so and headers and static libs
@@ -122,8 +127,7 @@
 	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/bin/camitk-wizard
 	dh_installman -p$(pkg_dev) debian/tmp/usr/share/man/man1/camitk-wizard.1
 	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/applications/camitk-wizard.desktop
-	# not ship anymore (bug? referenced in desktop file)
-	#dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/pixmaps/camitk-wizard.xpm
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/pixmaps/camitk-wizard.xpm
 	# cepgenerator
 	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/bin/camitk-cepgenerator
 	dh_installman -p$(pkg_dev) debian/tmp/usr/share/man/man1/camitk-cepgenerator.1
@@ -146,5 +150,3 @@
 	# imp
 	dh_install -p$(pkg_imp) --autodest debian/tmp/usr/bin/camitk-imp
 	dh_install -p$(pkg_imp) --autodest debian/tmp/usr/share/applications/camitk-imp.desktop
-	dh_install -p$(pkg_imp) --autodest debian/tmp/usr/share/pixmaps/camitk-imp.xpm
-	dh_installman -p$(pkg_imp) debian/tmp/usr/share/man/man1/camitk-imp.1

=== debian/tests/control ===
Tests: config wizard
Depends: libcamitk-dev, xvfb, xauth
